package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 商品分组表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_subject_goods_group")
public class MusicGroupSubjectGoodsGroup extends Model<MusicGroupSubjectGoodsGroup> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 名称
     */
    @TableField("name_")
    private String name;
    /**
     * 类型(乐器、教辅)
     */
    @TableField("type_")
    private String type;
    @TableField("music_group_id_")
    private String musicGroupId;
    @TableField("subject_id_")
    private Integer subjectId;
    /**
     * 商品列表(用逗号分隔分开)
     */
    @TableField("goods_id_list_")
    private String goodsIdList;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 打包价格
     */
    @TableField("price_")
    private BigDecimal price;
    /**
     * 减免课程费用
     */
    @TableField("remission_course_fee_")
    private BigDecimal remissionCourseFee;


    public Long getId() {
        return id;
    }

    public MusicGroupSubjectGoodsGroup setId(Long id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public MusicGroupSubjectGoodsGroup setName(String name) {
        this.name = name;
        return this;
    }

    public String getType() {
        return type;
    }

    public MusicGroupSubjectGoodsGroup setType(String type) {
        this.type = type;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupSubjectGoodsGroup setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public MusicGroupSubjectGoodsGroup setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    public String getGoodsIdList() {
        return goodsIdList;
    }

    public MusicGroupSubjectGoodsGroup setGoodsIdList(String goodsIdList) {
        this.goodsIdList = goodsIdList;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupSubjectGoodsGroup setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupSubjectGoodsGroup setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public MusicGroupSubjectGoodsGroup setPrice(BigDecimal price) {
        this.price = price;
        return this;
    }

    public BigDecimal getRemissionCourseFee() {
        return remissionCourseFee;
    }

    public MusicGroupSubjectGoodsGroup setRemissionCourseFee(BigDecimal remissionCourseFee) {
        this.remissionCourseFee = remissionCourseFee;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupSubjectGoodsGroup{" +
        ", id=" + id +
        ", name=" + name +
        ", type=" + type +
        ", musicGroupId=" + musicGroupId +
        ", subjectId=" + subjectId +
        ", goodsIdList=" + goodsIdList +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", price=" + price +
        ", remissionCourseFee=" + remissionCourseFee +
        "}";
    }
}
